
import pytest
from tdd_exo_1 import fizz_buzz


class TestFizzBuzz:

    def test_number_not_int(self):

        with pytest.raises(TypeError):
            fizz_buzz('not_an_int')

    def test_3_multiple(self):

        assert fizz_buzz(6) == 'Fizz'

    def test_5_multiple(self):

        assert fizz_buzz(20) == 'Buzz'

    def test_3_and_5_multiple(self):

        assert fizz_buzz(15) == 'FizzBuzz'

    def test_no_multiple(self):

        assert fizz_buzz(7) == 7
